source: squid-ssl/trunk/fuentes/lib/profiler/Makefile.in @ 5496

Last change on this file since 5496 was 5496, checked in by Juanma, 22 months ago

Initial release

File size: 39.2 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \   ]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89build_triplet = @build@
90host_triplet = @host@
91check_PROGRAMS =
92@ENABLE_LOADABLE_MODULES_TRUE@am__append_1 = $(INCLTDL)
93subdir = lib/profiler
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/acinclude/ax_with_prog.m4 \
96        $(top_srcdir)/acinclude/init.m4 \
97        $(top_srcdir)/acinclude/squid-util.m4 \
98        $(top_srcdir)/acinclude/compiler-flags.m4 \
99        $(top_srcdir)/acinclude/os-deps.m4 \
100        $(top_srcdir)/acinclude/krb5.m4 $(top_srcdir)/acinclude/pam.m4 \
101        $(top_srcdir)/acinclude/pkg.m4 \
102        $(top_srcdir)/acinclude/lib-checks.m4 \
103        $(top_srcdir)/acinclude/ax_cxx_compile_stdcxx_11.m4 \
104        $(top_srcdir)/acinclude/ax_cxx_0x_types.m4 \
105        $(top_srcdir)/helpers/basic_auth/modules.m4 \
106        $(top_srcdir)/helpers/basic_auth/DB/required.m4 \
107        $(top_srcdir)/helpers/basic_auth/LDAP/required.m4 \
108        $(top_srcdir)/helpers/basic_auth/MSNT-multi-domain/required.m4 \
109        $(top_srcdir)/helpers/basic_auth/NCSA/required.m4 \
110        $(top_srcdir)/helpers/basic_auth/NIS/required.m4 \
111        $(top_srcdir)/helpers/basic_auth/PAM/required.m4 \
112        $(top_srcdir)/helpers/basic_auth/POP3/required.m4 \
113        $(top_srcdir)/helpers/basic_auth/RADIUS/required.m4 \
114        $(top_srcdir)/helpers/basic_auth/SASL/required.m4 \
115        $(top_srcdir)/helpers/basic_auth/SMB/required.m4 \
116        $(top_srcdir)/helpers/basic_auth/SMB_LM/required.m4 \
117        $(top_srcdir)/helpers/basic_auth/SSPI/required.m4 \
118        $(top_srcdir)/helpers/basic_auth/fake/required.m4 \
119        $(top_srcdir)/helpers/basic_auth/getpwnam/required.m4 \
120        $(top_srcdir)/helpers/digest_auth/modules.m4 \
121        $(top_srcdir)/helpers/digest_auth/LDAP/required.m4 \
122        $(top_srcdir)/helpers/digest_auth/eDirectory/required.m4 \
123        $(top_srcdir)/helpers/digest_auth/file/required.m4 \
124        $(top_srcdir)/helpers/negotiate_auth/modules.m4 \
125        $(top_srcdir)/helpers/negotiate_auth/SSPI/required.m4 \
126        $(top_srcdir)/helpers/negotiate_auth/kerberos/required.m4 \
127        $(top_srcdir)/helpers/negotiate_auth/wrapper/required.m4 \
128        $(top_srcdir)/helpers/ntlm_auth/modules.m4 \
129        $(top_srcdir)/helpers/ntlm_auth/fake/required.m4 \
130        $(top_srcdir)/helpers/ntlm_auth/SSPI/required.m4 \
131        $(top_srcdir)/helpers/ntlm_auth/smb_lm/required.m4 \
132        $(top_srcdir)/helpers/log_daemon/modules.m4 \
133        $(top_srcdir)/helpers/log_daemon/DB/required.m4 \
134        $(top_srcdir)/helpers/log_daemon/file/required.m4 \
135        $(top_srcdir)/helpers/external_acl/modules.m4 \
136        $(top_srcdir)/helpers/external_acl/AD_group/required.m4 \
137        $(top_srcdir)/helpers/external_acl/LDAP_group/required.m4 \
138        $(top_srcdir)/helpers/external_acl/LM_group/required.m4 \
139        $(top_srcdir)/helpers/external_acl/delayer/required.m4 \
140        $(top_srcdir)/helpers/external_acl/SQL_session/required.m4 \
141        $(top_srcdir)/helpers/external_acl/eDirectory_userip/required.m4 \
142        $(top_srcdir)/helpers/external_acl/file_userip/required.m4 \
143        $(top_srcdir)/helpers/external_acl/kerberos_ldap_group/required.m4 \
144        $(top_srcdir)/helpers/external_acl/session/required.m4 \
145        $(top_srcdir)/helpers/external_acl/time_quota/required.m4 \
146        $(top_srcdir)/helpers/external_acl/unix_group/required.m4 \
147        $(top_srcdir)/helpers/external_acl/wbinfo_group/required.m4 \
148        $(top_srcdir)/helpers/url_rewrite/modules.m4 \
149        $(top_srcdir)/helpers/url_rewrite/fake/required.m4 \
150        $(top_srcdir)/helpers/storeid_rewrite/modules.m4 \
151        $(top_srcdir)/helpers/storeid_rewrite/file/required.m4 \
152        $(top_srcdir)/configure.ac
153am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
154        $(ACLOCAL_M4)
155DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
156mkinstalldirs = $(install_sh) -d
157CONFIG_HEADER = $(top_builddir)/include/autoconf.h
158CONFIG_CLEAN_FILES =
159CONFIG_CLEAN_VPATH_FILES =
160LTLIBRARIES = $(noinst_LTLIBRARIES)
161libprofiler_la_LIBADD =
162am__libprofiler_la_SOURCES_DIST = get_tick.h Profiler.cc Profiler.h \
163        xprof_type.h
164am__objects_1 = Profiler.lo
165@ENABLE_XPROF_STATS_TRUE@am_libprofiler_la_OBJECTS = $(am__objects_1)
166libprofiler_la_OBJECTS = $(am_libprofiler_la_OBJECTS)
167AM_V_lt = $(am__v_lt_@AM_V@)
168am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
169am__v_lt_0 = --silent
170am__v_lt_1 =
171@ENABLE_XPROF_STATS_TRUE@am_libprofiler_la_rpath =
172AM_V_P = $(am__v_P_@AM_V@)
173am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
174am__v_P_0 = false
175am__v_P_1 = :
176AM_V_GEN = $(am__v_GEN_@AM_V@)
177am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
178am__v_GEN_0 = @echo "  GEN     " $@;
179am__v_GEN_1 =
180AM_V_at = $(am__v_at_@AM_V@)
181am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
182am__v_at_0 = @
183am__v_at_1 =
184DEFAULT_INCLUDES =
185depcomp = $(SHELL) $(top_srcdir)/cfgaux/depcomp
186am__depfiles_maybe = depfiles
187am__mv = mv -f
188CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
189        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
190LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
191        $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
192        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
193        $(AM_CXXFLAGS) $(CXXFLAGS)
194AM_V_CXX = $(am__v_CXX_@AM_V@)
195am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
196am__v_CXX_0 = @echo "  CXX     " $@;
197am__v_CXX_1 =
198CXXLD = $(CXX)
199CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
200        $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
201        $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
202AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
203am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
204am__v_CXXLD_0 = @echo "  CXXLD   " $@;
205am__v_CXXLD_1 =
206COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
207        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
208LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
209        $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
210        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
211        $(AM_CFLAGS) $(CFLAGS)
212AM_V_CC = $(am__v_CC_@AM_V@)
213am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
214am__v_CC_0 = @echo "  CC      " $@;
215am__v_CC_1 =
216CCLD = $(CC)
217LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
218        $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
219        $(AM_LDFLAGS) $(LDFLAGS) -o $@
220AM_V_CCLD = $(am__v_CCLD_@AM_V@)
221am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
222am__v_CCLD_0 = @echo "  CCLD    " $@;
223am__v_CCLD_1 =
224SOURCES = $(libprofiler_la_SOURCES)
225DIST_SOURCES = $(am__libprofiler_la_SOURCES_DIST)
226am__can_run_installinfo = \
227  case $$AM_UPDATE_INFO_DIR in \
228    n|no|NO) false;; \
229    *) (install-info --version) >/dev/null 2>&1;; \
230  esac
231am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
232# Read a list of newline-separated strings from the standard input,
233# and print each of them once, without duplicates.  Input order is
234# *not* preserved.
235am__uniquify_input = $(AWK) '\
236  BEGIN { nonempty = 0; } \
237  { items[$$0] = 1; nonempty = 1; } \
238  END { if (nonempty) { for (i in items) print i; }; } \
239'
240# Make sure the list of sources is unique.  This is necessary because,
241# e.g., the same source file might be shared among _SOURCES variables
242# for different programs/libraries.
243am__define_uniq_tagged_files = \
244  list='$(am__tagged_files)'; \
245  unique=`for i in $$list; do \
246    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
247  done | $(am__uniquify_input)`
248ETAGS = etags
249CTAGS = ctags
250am__tty_colors_dummy = \
251  mgn= red= grn= lgn= blu= brg= std=; \
252  am__color_tests=no
253am__tty_colors = { \
254  $(am__tty_colors_dummy); \
255  if test "X$(AM_COLOR_TESTS)" = Xno; then \
256    am__color_tests=no; \
257  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
258    am__color_tests=yes; \
259  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
260    am__color_tests=yes; \
261  fi; \
262  if test $$am__color_tests = yes; then \
263    red='[0;31m'; \
264    grn='[0;32m'; \
265    lgn='[1;32m'; \
266    blu='[1;34m'; \
267    mgn='[0;35m'; \
268    brg='[1m'; \
269    std='[m'; \
270  fi; \
271}
272am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
273am__vpath_adj = case $$p in \
274    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
275    *) f=$$p;; \
276  esac;
277am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
278am__install_max = 40
279am__nobase_strip_setup = \
280  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
281am__nobase_strip = \
282  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
283am__nobase_list = $(am__nobase_strip_setup); \
284  for p in $$list; do echo "$$p $$p"; done | \
285  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
286  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
287    if (++n[$$2] == $(am__install_max)) \
288      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
289    END { for (dir in files) print dir, files[dir] }'
290am__base_list = \
291  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
292  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
293am__uninstall_files_from_dir = { \
294  test -z "$$files" \
295    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
296    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
297         $(am__cd) "$$dir" && rm -f $$files; }; \
298  }
299am__recheck_rx = ^[     ]*:recheck:[    ]*
300am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
301am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
302# A command that, given a newline-separated list of test names on the
303# standard input, print the name of the tests that are to be re-run
304# upon "make recheck".
305am__list_recheck_tests = $(AWK) '{ \
306  recheck = 1; \
307  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
308    { \
309      if (rc < 0) \
310        { \
311          if ((getline line2 < ($$0 ".log")) < 0) \
312            recheck = 0; \
313          break; \
314        } \
315      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
316        { \
317          recheck = 0; \
318          break; \
319        } \
320      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
321        { \
322          break; \
323        } \
324    }; \
325  if (recheck) \
326    print $$0; \
327  close ($$0 ".trs"); \
328  close ($$0 ".log"); \
329}'
330# A command that, given a newline-separated list of test names on the
331# standard input, create the global log from their .trs and .log files.
332am__create_global_log = $(AWK) ' \
333function fatal(msg) \
334{ \
335  print "fatal: making $@: " msg | "cat >&2"; \
336  exit 1; \
337} \
338function rst_section(header) \
339{ \
340  print header; \
341  len = length(header); \
342  for (i = 1; i <= len; i = i + 1) \
343    printf "="; \
344  printf "\n\n"; \
345} \
346{ \
347  copy_in_global_log = 1; \
348  global_test_result = "RUN"; \
349  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
350    { \
351      if (rc < 0) \
352         fatal("failed to read from " $$0 ".trs"); \
353      if (line ~ /$(am__global_test_result_rx)/) \
354        { \
355          sub("$(am__global_test_result_rx)", "", line); \
356          sub("[        ]*$$", "", line); \
357          global_test_result = line; \
358        } \
359      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
360        copy_in_global_log = 0; \
361    }; \
362  if (copy_in_global_log) \
363    { \
364      rst_section(global_test_result ": " $$0); \
365      while ((rc = (getline line < ($$0 ".log"))) != 0) \
366      { \
367        if (rc < 0) \
368          fatal("failed to read from " $$0 ".log"); \
369        print line; \
370      }; \
371      printf "\n"; \
372    }; \
373  close ($$0 ".trs"); \
374  close ($$0 ".log"); \
375}'
376# Restructured Text title.
377am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
378# Solaris 10 'make', and several other traditional 'make' implementations,
379# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
380# by disabling -e (using the XSI extension "set +e") if it's set.
381am__sh_e_setup = case $$- in *e*) set +e;; esac
382# Default flags passed to test drivers.
383am__common_driver_flags = \
384  --color-tests "$$am__color_tests" \
385  --enable-hard-errors "$$am__enable_hard_errors" \
386  --expect-failure "$$am__expect_failure"
387# To be inserted before the command running the test.  Creates the
388# directory for the log if needed.  Stores in $dir the directory
389# containing $f, in $tst the test, in $log the log.  Executes the
390# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
391# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
392# will run the test scripts (or their associated LOG_COMPILER, if
393# thy have one).
394am__check_pre = \
395$(am__sh_e_setup);                                      \
396$(am__vpath_adj_setup) $(am__vpath_adj)                 \
397$(am__tty_colors);                                      \
398srcdir=$(srcdir); export srcdir;                        \
399case "$@" in                                            \
400  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
401    *) am__odir=.;;                                     \
402esac;                                                   \
403test "x$$am__odir" = x"." || test -d "$$am__odir"       \
404  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
405if test -f "./$$f"; then dir=./;                        \
406elif test -f "$$f"; then dir=;                          \
407else dir="$(srcdir)/"; fi;                              \
408tst=$$dir$$f; log='$@';                                 \
409if test -n '$(DISABLE_HARD_ERRORS)'; then               \
410  am__enable_hard_errors=no;                            \
411else                                                    \
412  am__enable_hard_errors=yes;                           \
413fi;                                                     \
414case " $(XFAIL_TESTS) " in                              \
415  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
416    am__expect_failure=yes;;                            \
417  *)                                                    \
418    am__expect_failure=no;;                             \
419esac;                                                   \
420$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
421# A shell command to get the names of the tests scripts with any registered
422# extension removed (i.e., equivalently, the names of the test logs, with
423# the '.log' extension removed).  The result is saved in the shell variable
424# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
425# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
426# since that might cause problem with VPATH rewrites for suffix-less tests.
427# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
428am__set_TESTS_bases = \
429  bases='$(TEST_LOGS)'; \
430  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
431  bases=`echo $$bases`
432RECHECK_LOGS = $(TEST_LOGS)
433AM_RECURSIVE_TARGETS = check recheck
434TEST_SUITE_LOG = test-suite.log
435TEST_EXTENSIONS = @EXEEXT@ .test
436LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
437LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
438am__set_b = \
439  case '$@' in \
440    */*) \
441      case '$*' in \
442        */*) b='$*';; \
443          *) b=`echo '$@' | sed 's/\.log$$//'`; \
444       esac;; \
445    *) \
446      b='$*';; \
447  esac
448am__test_logs1 = $(TESTS:=.log)
449am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
450TEST_LOGS = $(am__test_logs2:.test.log=.log)
451TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/cfgaux/test-driver
452TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
453        $(TEST_LOG_FLAGS)
454am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/cfgaux/depcomp \
455        $(top_srcdir)/cfgaux/test-driver $(top_srcdir)/src/Common.am \
456        $(top_srcdir)/src/TestHeaders.am
457DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
458ACLOCAL = @ACLOCAL@
459ADAPTATION_LIBS = @ADAPTATION_LIBS@
460ALLOCA = @ALLOCA@
461AMTAR = @AMTAR@
462AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
463AR = @AR@
464ARGZ_H = @ARGZ_H@
465AR_R = @AR_R@
466AUTH_LIBS_TO_BUILD = @AUTH_LIBS_TO_BUILD@
467AUTH_MODULES = @AUTH_MODULES@
468AUTOCONF = @AUTOCONF@
469AUTOHEADER = @AUTOHEADER@
470AUTOMAKE = @AUTOMAKE@
471AWK = @AWK@
472BASIC_AUTH_HELPERS = @BASIC_AUTH_HELPERS@
473BUILDCXX = @BUILDCXX@
474BUILDCXXFLAGS = @BUILDCXXFLAGS@
475BZR = @BZR@
476CACHE_EFFECTIVE_USER = @CACHE_EFFECTIVE_USER@
477CC = @CC@
478CCDEPMODE = @CCDEPMODE@
479CFLAGS = @CFLAGS@
480CGIEXT = @CGIEXT@
481CHMOD = @CHMOD@
482CPP = @CPP@
483CPPFLAGS = @CPPFLAGS@
484CPPUNITCONFIG = @CPPUNITCONFIG@
485CRYPTLIB = @CRYPTLIB@
486CXX = @CXX@
487CXXCPP = @CXXCPP@
488CXXDEPMODE = @CXXDEPMODE@
489CXXFLAGS = @CXXFLAGS@
490CYGPATH_W = @CYGPATH_W@
491DEFAULT_HOSTS = @DEFAULT_HOSTS@
492DEFAULT_LOG_DIR = @DEFAULT_LOG_DIR@
493DEFAULT_PID_FILE = @DEFAULT_PID_FILE@
494DEFAULT_SWAP_DIR = @DEFAULT_SWAP_DIR@
495DEFS = @DEFS@
496DEPDIR = @DEPDIR@
497DIGEST_AUTH_HELPERS = @DIGEST_AUTH_HELPERS@
498DISK_LIBS = @DISK_LIBS@
499DISK_LINKOBJS = @DISK_LINKOBJS@
500DISK_MODULES = @DISK_MODULES@
501DISK_OS_LIBS = @DISK_OS_LIBS@
502DISK_PROGRAMS = @DISK_PROGRAMS@
503DLLTOOL = @DLLTOOL@
504DSYMUTIL = @DSYMUTIL@
505DUMPBIN = @DUMPBIN@
506ECAP_LIBS = @ECAP_LIBS@
507ECHO_C = @ECHO_C@
508ECHO_N = @ECHO_N@
509ECHO_T = @ECHO_T@
510EGREP = @EGREP@
511EPOLL_LIBS = @EPOLL_LIBS@
512EUILIB = @EUILIB@
513EXEEXT = @EXEEXT@
514EXPATLIB = @EXPATLIB@
515EXTERNAL_ACL_HELPERS = @EXTERNAL_ACL_HELPERS@
516EXT_LIBECAP_CFLAGS = @EXT_LIBECAP_CFLAGS@
517EXT_LIBECAP_LIBS = @EXT_LIBECAP_LIBS@
518FALSE = @FALSE@
519FGREP = @FGREP@
520GREP = @GREP@
521HAVE_CXX11 = @HAVE_CXX11@
522ICAP_LIBS = @ICAP_LIBS@
523INCLTDL = @INCLTDL@
524INSTALL = @INSTALL@
525INSTALL_DATA = @INSTALL_DATA@
526INSTALL_PROGRAM = @INSTALL_PROGRAM@
527INSTALL_SCRIPT = @INSTALL_SCRIPT@
528INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
529KRB5INCS = @KRB5INCS@
530KRB5LIBS = @KRB5LIBS@
531LBERLIB = @LBERLIB@
532LD = @LD@
533LDAPLIB = @LDAPLIB@
534LDFLAGS = @LDFLAGS@
535LIBADD_DL = @LIBADD_DL@
536LIBADD_DLD_LINK = @LIBADD_DLD_LINK@
537LIBADD_DLOPEN = @LIBADD_DLOPEN@
538LIBADD_SHL_LOAD = @LIBADD_SHL_LOAD@
539LIBGNUTLS_CFLAGS = @LIBGNUTLS_CFLAGS@
540LIBGNUTLS_LIBS = @LIBGNUTLS_LIBS@
541LIBLTDL = @LIBLTDL@
542LIBOBJS = @LIBOBJS@
543LIBOPENSSL_CFLAGS = @LIBOPENSSL_CFLAGS@
544LIBOPENSSL_LIBS = @LIBOPENSSL_LIBS@
545LIBS = @LIBS@
546LIBSASL = @LIBSASL@
547LIBTOOL = @LIBTOOL@
548LIB_DB = @LIB_DB@
549LIB_KRB5_CFLAGS = @LIB_KRB5_CFLAGS@
550LIB_KRB5_LIBS = @LIB_KRB5_LIBS@
551LINUXDOC = @LINUXDOC@
552LIPO = @LIPO@
553LN = @LN@
554LN_S = @LN_S@
555LOG_DAEMON_HELPERS = @LOG_DAEMON_HELPERS@
556LTDLDEPS = @LTDLDEPS@
557LTDLINCL = @LTDLINCL@
558LTDLOPEN = @LTDLOPEN@
559LTLIBOBJS = @LTLIBOBJS@
560LT_CONFIG_H = @LT_CONFIG_H@
561LT_DLLOADERS = @LT_DLLOADERS@
562LT_DLPREOPEN = @LT_DLPREOPEN@
563MAINT = @MAINT@
564MAKEINFO = @MAKEINFO@
565MANIFEST_TOOL = @MANIFEST_TOOL@
566MINGW_LIBS = @MINGW_LIBS@
567MKDIR = @MKDIR@
568MKDIR_P = @MKDIR_P@
569MV = @MV@
570NEGOTIATE_AUTH_HELPERS = @NEGOTIATE_AUTH_HELPERS@
571NETTLELIB = @NETTLELIB@
572NM = @NM@
573NMEDIT = @NMEDIT@
574NTLM_AUTH_HELPERS = @NTLM_AUTH_HELPERS@
575OBJDUMP = @OBJDUMP@
576OBJEXT = @OBJEXT@
577OTOOL = @OTOOL@
578OTOOL64 = @OTOOL64@
579PACKAGE = @PACKAGE@
580PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
581PACKAGE_NAME = @PACKAGE_NAME@
582PACKAGE_STRING = @PACKAGE_STRING@
583PACKAGE_TARNAME = @PACKAGE_TARNAME@
584PACKAGE_URL = @PACKAGE_URL@
585PACKAGE_VERSION = @PACKAGE_VERSION@
586PATH_SEPARATOR = @PATH_SEPARATOR@
587PERL = @PERL@
588PKG_CONFIG = @PKG_CONFIG@
589PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
590PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
591PO2HTML = @PO2HTML@
592PO2TEXT = @PO2TEXT@
593POD2MAN = @POD2MAN@
594RANLIB = @RANLIB@
595REGEXLIB = @REGEXLIB@
596REPL_LIBS = @REPL_LIBS@
597REPL_OBJS = @REPL_OBJS@
598REPL_POLICIES = @REPL_POLICIES@
599RM = @RM@
600SED = @SED@
601SET_MAKE = @SET_MAKE@
602SH = @SH@
603SHELL = @SHELL@
604SMBCLIENT = @SMBCLIENT@
605SNMPLIB = @SNMPLIB@
606SQUID_CFLAGS = @SQUID_CFLAGS@
607SQUID_CPPUNIT_INC = @SQUID_CPPUNIT_INC@
608SQUID_CPPUNIT_LA = @SQUID_CPPUNIT_LA@
609SQUID_CPPUNIT_LIBS = @SQUID_CPPUNIT_LIBS@
610SQUID_CXXFLAGS = @SQUID_CXXFLAGS@
611SSLLIB = @SSLLIB@
612STOREID_REWRITE_HELPERS = @STOREID_REWRITE_HELPERS@
613STORE_LIBS_TO_ADD = @STORE_LIBS_TO_ADD@
614STORE_LIBS_TO_BUILD = @STORE_LIBS_TO_BUILD@
615STORE_TESTS = @STORE_TESTS@
616STRIP = @STRIP@
617TR = @TR@
618TRUE = @TRUE@
619URL_REWRITE_HELPERS = @URL_REWRITE_HELPERS@
620VERSION = @VERSION@
621WBINFO = @WBINFO@
622WIN32_PSAPI = @WIN32_PSAPI@
623XMLLIB = @XMLLIB@
624XTRA_LIBS = @XTRA_LIBS@
625XTRA_OBJS = @XTRA_OBJS@
626abs_builddir = @abs_builddir@
627abs_srcdir = @abs_srcdir@
628abs_top_builddir = @abs_top_builddir@
629abs_top_srcdir = @abs_top_srcdir@
630ac_ct_AR = @ac_ct_AR@
631ac_ct_CC = @ac_ct_CC@
632ac_ct_CXX = @ac_ct_CXX@
633ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
634am__include = @am__include@
635am__leading_dot = @am__leading_dot@
636am__quote = @am__quote@
637am__tar = @am__tar@
638am__untar = @am__untar@
639bindir = @bindir@
640build = @build@
641build_alias = @build_alias@
642build_cpu = @build_cpu@
643build_os = @build_os@
644build_vendor = @build_vendor@
645builddir = @builddir@
646datadir = @datadir@
647datarootdir = @datarootdir@
648docdir = @docdir@
649dvidir = @dvidir@
650exec_prefix = @exec_prefix@
651host = @host@
652host_alias = @host_alias@
653host_cpu = @host_cpu@
654host_os = @host_os@
655host_vendor = @host_vendor@
656htmldir = @htmldir@
657includedir = @includedir@
658infodir = @infodir@
659install_sh = @install_sh@
660krb5_config = @krb5_config@
661libdir = @libdir@
662libexecdir = @libexecdir@
663localedir = @localedir@
664localstatedir = @localstatedir@
665ltdl_LIBOBJS = @ltdl_LIBOBJS@
666ltdl_LTLIBOBJS = @ltdl_LTLIBOBJS@
667mandir = @mandir@
668mkdir_p = @mkdir_p@
669oldincludedir = @oldincludedir@
670pdfdir = @pdfdir@
671prefix = @prefix@
672program_transform_name = @program_transform_name@
673psdir = @psdir@
674runstatedir = @runstatedir@
675sbindir = @sbindir@
676sharedstatedir = @sharedstatedir@
677srcdir = @srcdir@
678subdirs = @subdirs@
679sys_symbol_underscore = @sys_symbol_underscore@
680sysconfdir = @sysconfdir@
681target_alias = @target_alias@
682top_build_prefix = @top_build_prefix@
683top_builddir = @top_builddir@
684top_srcdir = @top_srcdir@
685AM_CFLAGS = $(SQUID_CFLAGS)
686AM_CXXFLAGS = $(SQUID_CXXFLAGS)
687CLEANFILES = testHeaders
688TESTS = testHeaders
689AM_CPPFLAGS = -I$(top_srcdir) -I$(top_srcdir)/include \
690        -I$(top_srcdir)/lib -I$(top_srcdir)/src \
691        -I$(top_builddir)/include $(SQUID_CPPUNIT_INC) $(KRB5INCS) \
692        $(am__append_1)
693@ENABLE_XPROF_STATS_FALSE@LIBPROFILER =
694@ENABLE_XPROF_STATS_TRUE@LIBPROFILER = $(top_builddir)/lib/profiler/libprofiler.la
695COMPAT_LIB = $(top_builddir)/compat/libcompat-squid.la $(LIBPROFILER)
696subst_perlshell = sed -e 's,[@]PERL[@],$(PERL),g' <$(srcdir)/$@.pl.in >$@ || ($(RM) -f $@ ; exit 1)
697XPROFSRC = \
698        get_tick.h \
699        Profiler.cc \
700        Profiler.h \
701        xprof_type.h
702
703@ENABLE_XPROF_STATS_TRUE@libprofiler_la_SOURCES = $(XPROFSRC)
704@ENABLE_XPROF_STATS_TRUE@noinst_LTLIBRARIES = libprofiler.la
705@ENABLE_XPROF_STATS_FALSE@EXTRA_DIST = $(XPROFSRC)
706all: all-am
707
708.SUFFIXES:
709.SUFFIXES: .cc .lo .log .o .obj .test .test$(EXEEXT) .trs
710$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__configure_deps)
711        @for dep in $?; do \
712          case '$(am__configure_deps)' in \
713            *$$dep*) \
714              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
715                && { if test -f $@; then exit 0; else break; fi; }; \
716              exit 1;; \
717          esac; \
718        done; \
719        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/profiler/Makefile'; \
720        $(am__cd) $(top_srcdir) && \
721          $(AUTOMAKE) --foreign lib/profiler/Makefile
722Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
723        @case '$?' in \
724          *config.status*) \
725            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
726          *) \
727            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
728            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
729        esac;
730$(top_srcdir)/src/Common.am $(top_srcdir)/src/TestHeaders.am $(am__empty):
731
732$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
733        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
734
735$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
736        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
737$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
738        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
739$(am__aclocal_m4_deps):
740
741clean-noinstLTLIBRARIES:
742        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
743        @list='$(noinst_LTLIBRARIES)'; \
744        locs=`for p in $$list; do echo $$p; done | \
745              sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
746              sort -u`; \
747        test -z "$$locs" || { \
748          echo rm -f $${locs}; \
749          rm -f $${locs}; \
750        }
751
752libprofiler.la: $(libprofiler_la_OBJECTS) $(libprofiler_la_DEPENDENCIES) $(EXTRA_libprofiler_la_DEPENDENCIES)
753        $(AM_V_CXXLD)$(CXXLINK) $(am_libprofiler_la_rpath) $(libprofiler_la_OBJECTS) $(libprofiler_la_LIBADD) $(LIBS)
754
755clean-checkPROGRAMS:
756        @list='$(check_PROGRAMS)'; test -n "$$list" || exit 0; \
757        echo " rm -f" $$list; \
758        rm -f $$list || exit $$?; \
759        test -n "$(EXEEXT)" || exit 0; \
760        list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
761        echo " rm -f" $$list; \
762        rm -f $$list
763
764mostlyclean-compile:
765        -rm -f *.$(OBJEXT)
766
767distclean-compile:
768        -rm -f *.tab.c
769
770@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/Profiler.Plo@am__quote@
771
772.cc.o:
773@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
774@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
775@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
776@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
777@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
778@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
779
780.cc.obj:
781@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
782@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
783@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
784@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
785@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
786@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
787
788.cc.lo:
789@am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
790@am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
791@am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
792@AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
793@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
794@am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
795
796mostlyclean-libtool:
797        -rm -f *.lo
798
799clean-libtool:
800        -rm -rf .libs _libs
801
802ID: $(am__tagged_files)
803        $(am__define_uniq_tagged_files); mkid -fID $$unique
804tags: tags-am
805TAGS: tags
806
807tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
808        set x; \
809        here=`pwd`; \
810        $(am__define_uniq_tagged_files); \
811        shift; \
812        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
813          test -n "$$unique" || unique=$$empty_fix; \
814          if test $$# -gt 0; then \
815            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
816              "$$@" $$unique; \
817          else \
818            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
819              $$unique; \
820          fi; \
821        fi
822ctags: ctags-am
823
824CTAGS: ctags
825ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
826        $(am__define_uniq_tagged_files); \
827        test -z "$(CTAGS_ARGS)$$unique" \
828          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
829             $$unique
830
831GTAGS:
832        here=`$(am__cd) $(top_builddir) && pwd` \
833          && $(am__cd) $(top_srcdir) \
834          && gtags -i $(GTAGS_ARGS) "$$here"
835cscopelist: cscopelist-am
836
837cscopelist-am: $(am__tagged_files)
838        list='$(am__tagged_files)'; \
839        case "$(srcdir)" in \
840          [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
841          *) sdir=$(subdir)/$(srcdir) ;; \
842        esac; \
843        for i in $$list; do \
844          if test -f "$$i"; then \
845            echo "$(subdir)/$$i"; \
846          else \
847            echo "$$sdir/$$i"; \
848          fi; \
849        done >> $(top_builddir)/cscope.files
850
851distclean-tags:
852        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
853
854# Recover from deleted '.trs' file; this should ensure that
855# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
856# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
857# to avoid problems with "make -n".
858.log.trs:
859        rm -f $< $@
860        $(MAKE) $(AM_MAKEFLAGS) $<
861
862# Leading 'am--fnord' is there to ensure the list of targets does not
863# expand to empty, as could happen e.g. with make check TESTS=''.
864am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
865am--force-recheck:
866        @:
867
868$(TEST_SUITE_LOG): $(TEST_LOGS)
869        @$(am__set_TESTS_bases); \
870        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
871        redo_bases=`for i in $$bases; do \
872                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
873                    done`; \
874        if test -n "$$redo_bases"; then \
875          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
876          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
877          if $(am__make_dryrun); then :; else \
878            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
879          fi; \
880        fi; \
881        if test -n "$$am__remaking_logs"; then \
882          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
883               "recursion detected" >&2; \
884        elif test -n "$$redo_logs"; then \
885          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
886        fi; \
887        if $(am__make_dryrun); then :; else \
888          st=0;  \
889          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
890          for i in $$redo_bases; do \
891            test -f $$i.trs && test -r $$i.trs \
892              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
893            test -f $$i.log && test -r $$i.log \
894              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
895          done; \
896          test $$st -eq 0 || exit 1; \
897        fi
898        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
899        ws='[   ]'; \
900        results=`for b in $$bases; do echo $$b.trs; done`; \
901        test -n "$$results" || results=/dev/null; \
902        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
903        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
904        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
905        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
906        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
907        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
908        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
909        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
910          success=true; \
911        else \
912          success=false; \
913        fi; \
914        br='==================='; br=$$br$$br$$br$$br; \
915        result_count () \
916        { \
917            if test x"$$1" = x"--maybe-color"; then \
918              maybe_colorize=yes; \
919            elif test x"$$1" = x"--no-color"; then \
920              maybe_colorize=no; \
921            else \
922              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
923            fi; \
924            shift; \
925            desc=$$1 count=$$2; \
926            if test $$maybe_colorize = yes && test $$count -gt 0; then \
927              color_start=$$3 color_end=$$std; \
928            else \
929              color_start= color_end=; \
930            fi; \
931            echo "$${color_start}# $$desc $$count$${color_end}"; \
932        }; \
933        create_testsuite_report () \
934        { \
935          result_count $$1 "TOTAL:" $$all   "$$brg"; \
936          result_count $$1 "PASS: " $$pass  "$$grn"; \
937          result_count $$1 "SKIP: " $$skip  "$$blu"; \
938          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
939          result_count $$1 "FAIL: " $$fail  "$$red"; \
940          result_count $$1 "XPASS:" $$xpass "$$red"; \
941          result_count $$1 "ERROR:" $$error "$$mgn"; \
942        }; \
943        {                                                               \
944          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
945            $(am__rst_title);                                           \
946          create_testsuite_report --no-color;                           \
947          echo;                                                         \
948          echo ".. contents:: :depth: 2";                               \
949          echo;                                                         \
950          for b in $$bases; do echo $$b; done                           \
951            | $(am__create_global_log);                                 \
952        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
953        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
954        if $$success; then                                              \
955          col="$$grn";                                                  \
956         else                                                           \
957          col="$$red";                                                  \
958          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
959        fi;                                                             \
960        echo "$${col}$$br$${std}";                                      \
961        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
962        echo "$${col}$$br$${std}";                                      \
963        create_testsuite_report --maybe-color;                          \
964        echo "$$col$$br$$std";                                          \
965        if $$success; then :; else                                      \
966          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
967          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
968            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
969          fi;                                                           \
970          echo "$$col$$br$$std";                                        \
971        fi;                                                             \
972        $$success || exit 1
973
974check-TESTS:
975        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
976        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
977        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
978        @set +e; $(am__set_TESTS_bases); \
979        log_list=`for i in $$bases; do echo $$i.log; done`; \
980        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
981        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
982        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
983        exit $$?;
984recheck: all $(check_PROGRAMS)
985        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
986        @set +e; $(am__set_TESTS_bases); \
987        bases=`for i in $$bases; do echo $$i; done \
988                 | $(am__list_recheck_tests)` || exit 1; \
989        log_list=`for i in $$bases; do echo $$i.log; done`; \
990        log_list=`echo $$log_list`; \
991        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
992                am__force_recheck=am--force-recheck \
993                TEST_LOGS="$$log_list"; \
994        exit $$?
995testHeaders.log: testHeaders
996        @p='testHeaders'; \
997        b='testHeaders'; \
998        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
999        --log-file $$b.log --trs-file $$b.trs \
1000        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1001        "$$tst" $(AM_TESTS_FD_REDIRECT)
1002.test.log:
1003        @p='$<'; \
1004        $(am__set_b); \
1005        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1006        --log-file $$b.log --trs-file $$b.trs \
1007        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1008        "$$tst" $(AM_TESTS_FD_REDIRECT)
1009@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1010@am__EXEEXT_TRUE@       @p='$<'; \
1011@am__EXEEXT_TRUE@       $(am__set_b); \
1012@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1013@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
1014@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1015@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
1016
1017distdir: $(DISTFILES)
1018        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1019        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1020        list='$(DISTFILES)'; \
1021          dist_files=`for file in $$list; do echo $$file; done | \
1022          sed -e "s|^$$srcdirstrip/||;t" \
1023              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1024        case $$dist_files in \
1025          */*) $(MKDIR_P) `echo "$$dist_files" | \
1026                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1027                           sort -u` ;; \
1028        esac; \
1029        for file in $$dist_files; do \
1030          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1031          if test -d $$d/$$file; then \
1032            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1033            if test -d "$(distdir)/$$file"; then \
1034              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1035            fi; \
1036            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1037              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1038              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1039            fi; \
1040            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1041          else \
1042            test -f "$(distdir)/$$file" \
1043            || cp -p $$d/$$file "$(distdir)/$$file" \
1044            || exit 1; \
1045          fi; \
1046        done
1047check-am: all-am
1048        $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
1049        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
1050check: check-am
1051all-am: Makefile $(LTLIBRARIES)
1052installdirs:
1053install: install-am
1054install-exec: install-exec-am
1055install-data: install-data-am
1056uninstall: uninstall-am
1057
1058install-am: all-am
1059        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1060
1061installcheck: installcheck-am
1062install-strip:
1063        if test -z '$(STRIP)'; then \
1064          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1065            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1066              install; \
1067        else \
1068          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1069            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1070            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1071        fi
1072mostlyclean-generic:
1073        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1074        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1075        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1076
1077clean-generic:
1078        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
1079
1080distclean-generic:
1081        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1082        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1083
1084maintainer-clean-generic:
1085        @echo "This command is intended for maintainers to use"
1086        @echo "it deletes files that may require special tools to rebuild."
1087clean: clean-am
1088
1089clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
1090        clean-noinstLTLIBRARIES mostlyclean-am
1091
1092distclean: distclean-am
1093        -rm -rf ./$(DEPDIR)
1094        -rm -f Makefile
1095distclean-am: clean-am distclean-compile distclean-generic \
1096        distclean-tags
1097
1098dvi: dvi-am
1099
1100dvi-am:
1101
1102html: html-am
1103
1104html-am:
1105
1106info: info-am
1107
1108info-am:
1109
1110install-data-am:
1111
1112install-dvi: install-dvi-am
1113
1114install-dvi-am:
1115
1116install-exec-am:
1117
1118install-html: install-html-am
1119
1120install-html-am:
1121
1122install-info: install-info-am
1123
1124install-info-am:
1125
1126install-man:
1127
1128install-pdf: install-pdf-am
1129
1130install-pdf-am:
1131
1132install-ps: install-ps-am
1133
1134install-ps-am:
1135
1136installcheck-am:
1137
1138maintainer-clean: maintainer-clean-am
1139        -rm -rf ./$(DEPDIR)
1140        -rm -f Makefile
1141maintainer-clean-am: distclean-am maintainer-clean-generic
1142
1143mostlyclean: mostlyclean-am
1144
1145mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1146        mostlyclean-libtool
1147
1148pdf: pdf-am
1149
1150pdf-am:
1151
1152ps: ps-am
1153
1154ps-am:
1155
1156uninstall-am:
1157
1158.MAKE: check-am install-am install-strip
1159
1160.PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am clean \
1161        clean-checkPROGRAMS clean-generic clean-libtool \
1162        clean-noinstLTLIBRARIES cscopelist-am ctags ctags-am distclean \
1163        distclean-compile distclean-generic distclean-libtool \
1164        distclean-tags distdir dvi dvi-am html html-am info info-am \
1165        install install-am install-data install-data-am install-dvi \
1166        install-dvi-am install-exec install-exec-am install-html \
1167        install-html-am install-info install-info-am install-man \
1168        install-pdf install-pdf-am install-ps install-ps-am \
1169        install-strip installcheck installcheck-am installdirs \
1170        maintainer-clean maintainer-clean-generic mostlyclean \
1171        mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
1172        pdf pdf-am ps ps-am recheck tags tags-am uninstall \
1173        uninstall-am
1174
1175.PRECIOUS: Makefile
1176
1177
1178$(OBJS): $(top_srcdir)/include/version.h $(top_builddir)/include/autoconf.h
1179
1180testHeaders: $(srcdir)/*.h
1181        $(SHELL) $(top_srcdir)/test-suite/testheaders.sh "$(CXXCOMPILE)" $^ || exit 1
1182
1183.PHONY: testHeaders
1184
1185# Tell versions [3.59,3.63) of GNU make to not export all variables.
1186# Otherwise a system limit (for SysV at least) may be exceeded.
1187.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.